Bug 1576277 (CVE-2018-5177) - CVE-2018-5177 Mozilla: Buffer overflow in XSLT during number formatting
Summary: CVE-2018-5177 Mozilla: Buffer overflow in XSLT during number formatting
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5177
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:16 UTC by Doran Moppert
Modified: 2021-02-26 02:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:19 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:16:12 UTC
A vulnerability exists in XSLT during number formatting where a negative buffer size may be allocated in some instances, leading to a buffer overflow and crash if it occurs. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5177

Comment 1 Doran Moppert 2018-05-09 07:16:17 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Guyio


Note You need to log in before you can comment on or make changes to this bug.